/* TroiaPreview
 * version 0.4 date 2004-10-23
 * Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_Images
#define INC_Images

//load an image from a bitmap-file
int LoadBitmapFile( char * FileName, long * pSizeX, long * pSizeY, unsigned char * * ppData );

//load an image from a jpeg-file
int LoadJpegFile( char * FileName, long * pSizeX, long * pSizeY, unsigned char * * ppData );

//resize an image (old image stays unaltered)
void ImageResize( long OldSizeX, long OldSizeY, unsigned char * pOldData, long NewSizeX, long NewSizeY, unsigned char * * ppNewData );

//load an image and resize
int LoadImageResize( char * FileName, long ReSizeX, long ReSizeY, unsigned char * * ppRetData,
  int (* LoadImageFileFunction)( char * FileName, long * pSizeX, long * pSizeY, unsigned char * * ppData ) );
  
//load an image in pieces
//total size: (SizeX * CntX) x (SizeY * CntY)
//size of one piece: SizeX x SizeY
//pPieceData: array of unsigend char * to receive pointers to data of pieces
int LoadImagePieces( char * FileName, long SizeX, long SizeY, long CntX, long CntY, unsigned char * pPieceData[],
  int (* LoadImageFileFunction)( char * FileName, long * pSizeX, long * pSizeY, unsigned char * * ppData ) );

#endif //#ifndef INC_Images

