/* TroiaPreview
 * version 0.4 date 2004-10-23
 * Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_Text
#define INC_Text

//get width of text in pixels
unsigned int TextWidth( char * pTxt );

//output text
//top left corner of text is at pixel Pix
//write in direction Dir (encoded as the number on numpad (e.g. 8 for up))
//if a color is not valid (0..255), it will not be drawn
//StaticFrame decides if text is written to static or temporary frame
void TextOutput( char * pTxt, tPixel3D TopLeft, unsigned char Dir,
         unsigned short ForeColor, unsigned short BackColor,
         int StaticFrame );

//output text - extended version
//top left corner of text is at pixel Pix
//write in direction Dir (encoded as the number on numpad (e.g. 8 for up))
//if a color is not valid (0..255), it will not be drawn
//StaticFrame decides if text is written to static or temporary frame
//draw <Pad> empty pixels before the beginning of the text
//skip <Skip> pixels of the beginning of the text
//draw <Width> pixels in total (including padding at beginning and possible padding at end)
void TextOutputEx( char * pTxt, tPixel3D TopLeft, unsigned char Dir,
           unsigned short ForeColor, unsigned short BackColor,
           int StaticFrame, 
           unsigned int Pad, unsigned int Skip, unsigned int Width );


#endif //#ifndef INC_Text

